#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec4 v_position;

uniform float start_y;

void main()
{
    vec4 c = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    float local_y = v_position.x;

    //r=1.0  g++ b = 0.0
    if(local_y >= 0.0 && local_y <= 100.0 * 1.0 / 6.0 ){
        gl_FragColor.rgb = vec3(1.0, local_y/100.0 * 6.0, 0.0);
    }
    //r-- g=1.0 b=0.0
    else if(local_y > 100.0 * 1.0 / 6.0 && local_y <= 100.0 * 2.0 / 6.0 ){
        local_y = local_y - 1.0 * 100.0/6.0;
        gl_FragColor.rgb = vec3(1.0 - local_y/100.0 * 6.0, 1.0, 0.0);
    }
    //r=0.0 g=1.0 b++
    else if(local_y > 100.0 * 2.0 / 6.0 && local_y <= 100.0 * 3.0 / 6.0 ){
        local_y = local_y - 2.0 * 100.0/6.0;
        gl_FragColor.rgb = vec3(0.0, 1.0, local_y/100.0 * 6.0);
    }
    //r=0.0 g-- b=1.0
    else if(local_y > 100.0 * 3.0 / 6.0 && local_y <= 100.0 * 4.0 / 6.0 ){
        local_y = local_y - 3.0 * 100.0/6.0;
        gl_FragColor.rgb = vec3(0.0, 1.0 - local_y/100.0 * 6.0, 1.0);
    }
    //r++ g=0.0 b=1.0
    else if(local_y > 100.0 * 4.0 / 6.0 && local_y <= 100.0 * 5.0 / 6.0 ){
        local_y = local_y - 4.0 * 100.0/6.0;
        gl_FragColor.rgb = vec3(local_y/100.0 * 6.0, 0.0, 1.0);
    }
    //r=1.0 g=0.0 b--
    else if(local_y > 100.0 * 5.0 / 6.0 && local_y <= 100.0 * 6.0 / 6.0 ){
        local_y = local_y - 5.0 * 100.0/6.0;
        gl_FragColor.rgb = vec3(1.0,0.0,1.0 -  local_y/100.0 * 6.0);
    }
    else{
        gl_FragColor.rgb = vec3(0.0, 0.0, 0.0);
        // gl_FragColor.rgb = c.rgb;
        //  gl_FragColor.rgb = vec3(1.0, local_y/100.0 * 6.0, 0.0);
    }

    // gl_FragColor.rgb = vec3(1.0, 0.0, 0.0);
    gl_FragColor.w = c.w;
}
